CREATE TABLE ap_tax_codes_all (
    NAME                         VARCHAR2(60)     NOT NULL,
    TAX_ID                       NUMBER(18, 0),
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    TAX_TYPE                     VARCHAR2(100)    NOT NULL,
    SET_OF_BOOKS_ID              NUMBER(18, 0)    NOT NULL,
    DESCRIPTION                  VARCHAR2(960),
    TAX_RATE                     NUMBER       ,
    TAX_CODE_COMBINATION_ID      NUMBER(18, 0),
    INACTIVE_DATE                DATE         ,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    AWT_VENDOR_ID                NUMBER(18, 0),
    AWT_VENDOR_SITE_ID           NUMBER(18, 0),
    AWT_PERIOD_TYPE              VARCHAR2(60) ,
    AWT_PERIOD_LIMIT             NUMBER       ,
    RANGE_AMOUNT_BASIS           VARCHAR2(100),
    RANGE_PERIOD_BASIS           VARCHAR2(100),
    ORG_ID                       NUMBER(18, 0)    NOT NULL,
    VAT_TRANSACTION_TYPE         VARCHAR2(120),
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(600),
    GLOBAL_ATTRIBUTE1            VARCHAR2(600),
    GLOBAL_ATTRIBUTE2            VARCHAR2(600),
    GLOBAL_ATTRIBUTE3            VARCHAR2(600),
    GLOBAL_ATTRIBUTE4            VARCHAR2(600),
    GLOBAL_ATTRIBUTE5            VARCHAR2(600),
    GLOBAL_ATTRIBUTE6            VARCHAR2(600),
    GLOBAL_ATTRIBUTE7            VARCHAR2(600),
    GLOBAL_ATTRIBUTE8            VARCHAR2(600),
    GLOBAL_ATTRIBUTE9            VARCHAR2(600),
    GLOBAL_ATTRIBUTE10           VARCHAR2(600),
    GLOBAL_ATTRIBUTE11           VARCHAR2(600),
    GLOBAL_ATTRIBUTE12           VARCHAR2(600),
    GLOBAL_ATTRIBUTE13           VARCHAR2(600),
    GLOBAL_ATTRIBUTE14           VARCHAR2(600),
    GLOBAL_ATTRIBUTE15           VARCHAR2(600),
    GLOBAL_ATTRIBUTE16           VARCHAR2(600),
    GLOBAL_ATTRIBUTE17           VARCHAR2(600),
    GLOBAL_ATTRIBUTE18           VARCHAR2(600),
    GLOBAL_ATTRIBUTE19           VARCHAR2(600),
    GLOBAL_ATTRIBUTE20           VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1       DATE         ,
    GLOBAL_ATTRIBUTE_DATE2       DATE         ,
    GLOBAL_ATTRIBUTE_DATE3       DATE         ,
    GLOBAL_ATTRIBUTE_DATE4       DATE         ,
    GLOBAL_ATTRIBUTE_DATE5       DATE         ,
    WEB_ENABLED_FLAG             VARCHAR2(4)  ,
    AWT_RATE_TYPE                VARCHAR2(120),
    TAX_RECOVERY_RULE_ID         NUMBER(18, 0),
    TAX_RECOVERY_RATE            NUMBER       ,
    START_DATE                   DATE         ,
    ENABLED_FLAG                 VARCHAR2(4)  ,
    OFFSET_TAX_CODE_ID           NUMBER(18, 0),
    SUPPRESS_ZERO_AMOUNT_FLAG    VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    NAME                         VARCHAR2(60)     NOT NULL,
    TAX_ID                       NUMBER(18, 0),
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    TAX_TYPE                     VARCHAR2(100)    NOT NULL,
    SET_OF_BOOKS_ID              NUMBER(18, 0)    NOT NULL,
    DESCRIPTION                  VARCHAR2(960),
    TAX_RATE                     NUMBER       ,
    TAX_CODE_COMBINATION_ID      NUMBER(18, 0),
    INACTIVE_DATE                DATE         ,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    AWT_VENDOR_ID                NUMBER(18, 0),
    AWT_VENDOR_SITE_ID           NUMBER(18, 0),
    AWT_PERIOD_TYPE              VARCHAR2(60) ,
    AWT_PERIOD_LIMIT             NUMBER       ,
    RANGE_AMOUNT_BASIS           VARCHAR2(100),
    RANGE_PERIOD_BASIS           VARCHAR2(100),
    ORG_ID                       NUMBER(18, 0)    NOT NULL,
    VAT_TRANSACTION_TYPE         VARCHAR2(120),
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(600),
    GLOBAL_ATTRIBUTE1            VARCHAR2(600),
    GLOBAL_ATTRIBUTE2            VARCHAR2(600),
    GLOBAL_ATTRIBUTE3            VARCHAR2(600),
    GLOBAL_ATTRIBUTE4            VARCHAR2(600),
    GLOBAL_ATTRIBUTE5            VARCHAR2(600),
    GLOBAL_ATTRIBUTE6            VARCHAR2(600),
    GLOBAL_ATTRIBUTE7            VARCHAR2(600),
    GLOBAL_ATTRIBUTE8            VARCHAR2(600),
    GLOBAL_ATTRIBUTE9            VARCHAR2(600),
    GLOBAL_ATTRIBUTE10           VARCHAR2(600),
    GLOBAL_ATTRIBUTE11           VARCHAR2(600),
    GLOBAL_ATTRIBUTE12           VARCHAR2(600),
    GLOBAL_ATTRIBUTE13           VARCHAR2(600),
    GLOBAL_ATTRIBUTE14           VARCHAR2(600),
    GLOBAL_ATTRIBUTE15           VARCHAR2(600),
    GLOBAL_ATTRIBUTE16           VARCHAR2(600),
    GLOBAL_ATTRIBUTE17           VARCHAR2(600),
    GLOBAL_ATTRIBUTE18           VARCHAR2(600),
    GLOBAL_ATTRIBUTE19           VARCHAR2(600),
    GLOBAL_ATTRIBUTE20           VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1       DATE         ,
    GLOBAL_ATTRIBUTE_DATE2       DATE         ,
    GLOBAL_ATTRIBUTE_DATE3       DATE         ,
    GLOBAL_ATTRIBUTE_DATE4       DATE         ,
    GLOBAL_ATTRIBUTE_DATE5       DATE         ,
    WEB_ENABLED_FLAG             VARCHAR2(4)  ,
    AWT_RATE_TYPE                VARCHAR2(120),
    TAX_RECOVERY_RULE_ID         NUMBER(18, 0),
    TAX_RECOVERY_RATE            NUMBER       ,
    START_DATE                   DATE         ,
    ENABLED_FLAG                 VARCHAR2(4)  ,
    OFFSET_TAX_CODE_ID           NUMBER(18, 0),
    SUPPRESS_ZERO_AMOUNT_FLAG    VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ap_tax_codes_all PRIMARY KEY (TAX_ID, TAX_ID)
);
